((Drupal) => {
    Drupal.behaviors.storeVisibilitySummary = {
      attach(context) {
        const selector = '[data-drupal-selector="edit-visibility-store-visibility"]';
        const element = context.querySelector(selector);
  
        if (element) {
          Drupal.drupalSetSummary(element, () => {
            const checkboxes = element.querySelectorAll('input[type="checkbox"]:checked');
            return checkboxes.length ? Drupal.t('Restreint') : Drupal.t('Non restreint');
          });
        }
      },
    };
  })(Drupal);
